- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Enumerations | Functions
Visualization control functions
API available for manipulating Emotion object.

## Enumerations
enum | _Emotion_Vis { EMOTION_VIS_NONE, EMOTION_VIS_GOOM, EMOTION_VIS_LIBVISUAL_BUMPSCOPE, EMOTION_VIS_LIBVISUAL_CORONA, EMOTION_VIS_LIBVISUAL_DANCING_PARTICLES, EMOTION_VIS_LIBVISUAL_GDKPIXBUF, EMOTION_VIS_LIBVISUAL_G_FORCE, EMOTION_VIS_LIBVISUAL_GOOM, EMOTION_VIS_LIBVISUAL_INFINITE, EMOTION_VIS_LIBVISUAL_JAKDAW, EMOTION_VIS_LIBVISUAL_JESS, EMOTION_VIS_LIBVISUAL_LV_ANALYSER, EMOTION_VIS_LIBVISUAL_LV_FLOWER, EMOTION_VIS_LIBVISUAL_LV_GLTEST, EMOTION_VIS_LIBVISUAL_LV_SCOPE, EMOTION_VIS_LIBVISUAL_MADSPIN, EMOTION_VIS_LIBVISUAL_NEBULUS, EMOTION_VIS_LIBVISUAL_OINKSIE, EMOTION_VIS_LIBVISUAL_PLASMA, EMOTION_VIS_LAST }
| Used for displaying a visualization on the emotion object. More...

## Functions
EAPI void | emotion_object_vis_set (Evas_Object *obj, Emotion_Vis visualization)
| Set the visualization to be used with this object. More...
EAPI Emotion_Vis | emotion_object_vis_get (const Evas_Object *obj)
| Get the type of visualization in use by this emotion object. More...
EAPI Eina_Bool | emotion_object_vis_supported (const Evas_Object *obj, Emotion_Vis visualization)
| Query whether a type of visualization is supported by this object. More...

## Detailed Description

## Enumeration Type Documentation

enum _Emotion_Vis

Used for displaying a visualization on the emotion object.

See Also
  emotion_object_vis_set()

Enumerator
EMOTION_VIS_NONE | no visualization set
EMOTION_VIS_GOOM | goom
EMOTION_VIS_LIBVISUAL_BUMPSCOPE | bumpscope
EMOTION_VIS_LIBVISUAL_CORONA | corona
EMOTION_VIS_LIBVISUAL_DANCING_PARTICLES | dancing particles
EMOTION_VIS_LIBVISUAL_GDKPIXBUF | gdkpixbuf
EMOTION_VIS_LIBVISUAL_G_FORCE | G force.
EMOTION_VIS_LIBVISUAL_GOOM | goom
EMOTION_VIS_LIBVISUAL_INFINITE | infinite
EMOTION_VIS_LIBVISUAL_JAKDAW | jakdaw
EMOTION_VIS_LIBVISUAL_JESS | jess
EMOTION_VIS_LIBVISUAL_LV_ANALYSER | lv analyser
EMOTION_VIS_LIBVISUAL_LV_FLOWER | lv flower
EMOTION_VIS_LIBVISUAL_LV_GLTEST | lv gltest
EMOTION_VIS_LIBVISUAL_LV_SCOPE | lv scope
EMOTION_VIS_LIBVISUAL_MADSPIN | madspin
EMOTION_VIS_LIBVISUAL_NEBULUS | nebulus
EMOTION_VIS_LIBVISUAL_OINKSIE | oinksie
EMOTION_VIS_LIBVISUAL_PLASMA | plasma

## Function Documentation

EAPI void emotion_object_vis_set | ( | Evas_Object * | obj,
|  | Emotion_Vis | visualization
| ) |  |

Set the visualization to be used with this object.

Parameters

  obj | The object where the visualization will be set on.
  visualization | The type of visualization to be used.

The `visualization` specified will be played instead of a video. This is commonly used to display a visualization for audio only files (musics).

The available visualizations are Emotion_Vis.

See Also
  Emotion_Vis
  emotion_object_vis_get()
  emotion_object_vis_supported()

EAPI Emotion_Vis emotion_object_vis_get | ( | const Evas_Object * | obj | ) |

Get the type of visualization in use by this emotion object.

Parameters

  obj | The emotion object which the visualization is being retrieved from.

Returns
  The type of visualization in use by this object.

The type of visualization can be set by emotion_object_vis_set().

See Also
  Emotion_Vis
  emotion_object_vis_set()
  emotion_object_vis_supported()

References EMOTION_VIS_NONE.

EAPI Eina_Bool emotion_object_vis_supported | ( | const Evas_Object * | obj,
|  | Emotion_Vis | visualization
| ) |  |

Query whether a type of visualization is supported by this object.

Parameters

  obj | The object which the query is being ran on.
  visualization | The type of visualization that is being queried.

Returns
  EINA_TRUE if the visualization is supported, EINA_FALSE otherwise.

This can be used to check if a visualization is supported. e.g.: one wants to display a list of available visualizations for a specific object.

See Also
  Emotion_Vis
  emotion_object_vis_set()
  emotion_object_vis_get()